Delete Event Types
post
/config/sim/v2/setup/deleteEventTypes
Deletes an Event Type and its Event Sub Type records when no Event Definitions reference the Event Type.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Request body for deleting an Event Type. Delete fails if the Event Type is referenced by an Event Definition.
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique reference of the Enterprise hierarchy unit where the Event Type is configured.Example:
3599 -
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Object number of the Event Type.Example:1
Response
Supported Media Types
- application/json
200 Response
Message indicating the number of records deleted.